
TYPO3.Flow - Bug # 9

Status: Closed Priority: Should have
Author: Robert Lemke Category: Reflection
Created: 2007-02-19 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: AOP Framework doesn't work at all - invalid type "...BasicClass_AOPProxy"
Description

The T3P_Core_AOPFramework_Tests fail all and the FileCache/.../AOPProxy directory contains no files.

PHP Version: 5.1.6
OS: Gentoo Linux

History
#1 - 2007-02-19 17:23 - Robert Lemke
- Status changed from New to Accepted

The problem occurs in the T3P_Reflection_Class and can be exposed as follows:

In T3P_CoreAOPFramweork->buildAspectsFromComponents() add the following lines after the  $class = new T3P_Reflection_Class statement:

   $secondClass = new Reflection_Class($componentConfiguration->getClassName());
   echo ($secondClass->getDocComment());

The expected result is the doc comment of all component classes, however in this case no comment is shown. This might be a bug in PHP 5.1.6
although we didn't find a bug report in the PHP bug tracker.

#2 - 2007-02-19 17:52 - Robert Lemke
- Status changed from Accepted to Closed
- Sprint set to fixed

(In r129)  * Fixed a little error in index.php
    -  Added a PHP version check to the TYPO3 class, now requires at least PHP version 5.2.0. Fixes #9.

#3 - 2007-02-19 17:53 - Robert Lemke

Upgrading to PHP 5.2.0 solved the problem.

2015-08-03 1/1


